package webdb.addressbook.service;

import org.seasar.flex2.rpc.remoting.service.annotation.RemotingService;
import org.seasar.framework.beans.annotation.ParameterName;

import webdb.addressbook.dto.Card;
@RemotingService
public interface AddressBookService {
	/**
	 * 保存されている全Cardオブジェクトを名前順の配列で返します。
	 */
	public Card[] getCards();
	/**
	 * Flex2から送信されたCardオブジェクトを保存します。
	 * @param 保存するCard
	 */
	public void saveCard(@ParameterName("card") Card card);
	
	/**
	 * 指定されたIDのレコードを削除します。
	 * @param cardId 削除するcardId
	 * @ parameterName cardId
	 */
	public int deleteCard(@ParameterName("cardId") int cardId);
	
	public int deleteCard(@ParameterName("card") Card card);
	
}
